For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • GETGet current user
      • GETGet user information
      • GETList teams for a user
      • GETList users in an Organization
      • POSTUpdate a user's roles
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceUser

List users in an Organization

GET
https://api.astronomer.io/v1/organizations/:organizationId/users
GET
/v1/organizations/:organizationId/users
$curl https://api.astronomer.io/v1/organizations/organizationId/users \
> -H "Authorization: Bearer <token>"
1{
2 "limit": 10,
3 "offset": 0,
4 "totalCount": 100,
5 "users": [
6 {
7 "avatarUrl": "https://avatar.url",
8 "createdAt": "2022-11-22T04:37:12Z",
9 "fullName": "Jane Doe",
10 "id": "clm9sq6s0000008kz7uvl7yz7",
11 "status": "ACTIVE",
12 "updatedAt": "2022-11-22T04:37:12Z",
13 "username": "user1@company.com",
14 "dagRoles": [
15 {
16 "deploymentId": "clm8t5u4q000008jq4qoc3031",
17 "role": "DAG_VIEWER",
18 "dagId": "my_dag",
19 "dagTag": "team-a"
20 }
21 ],
22 "deploymentRoles": [
23 {
24 "deploymentId": "clm8t5u4q000008jq4qoc3031",
25 "role": "DEPLOYMENT_ADMIN"
26 }
27 ],
28 "organizationRole": "ORGANIZATION_MEMBER",
29 "workspaceRoles": [
30 {
31 "role": "WORKSPACE_MEMBER",
32 "workspaceId": "clm8t5u4q000008jq4qoc3036"
33 }
34 ]
35 }
36 ]
37}
List users in an Organization or a specific Workspace within an Organization.
Was this page helpful?
Previous

Update a user's roles

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to list users for.

Query parameters

workspaceIdstringOptional
The ID of the Workspace to filter the list of users for. When specified, the API returns only users belonging to the specified Workspace.
deploymentIdstringOptional
The ID of the Deployment to filter the list of users for. When specified, the API returns only users belonging to the specified Deployment.
dagIdstringOptional
The ID of the DAG to filter the list of users for. When specified, the API returns only users belonging to the specified DAG.
dagTagslist of stringsOptional
The Tags of the DAG to filter the list of users for. When specified, the API returns users belonging to the specified DAG tags.
offsetintegerOptional>=0Defaults to 0
Offset for pagination
limitintegerOptional0-1000Defaults to 20
Limit for pagination
sortslist of enumsOptional

Sorting criteria, each criterion should conform to format ‘fieldName:asc’ or ‘fieldName:desc’

Response

OK
limitinteger
The maximum number of users in one page.
offsetinteger
The offset of the current page of users.
totalCountinteger
The total number of users.
userslist of objects
The list of users in the current page.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error